Subject: [Ecrit] RFC 5031 text modification suggestion [was: Draft new version: draft-holmberg-ecrit-country-emg-urn-01]

From: Christer Holmberg <[email-masked]>
Date: Tue, 26 Feb 2013 13:49:49 +0000

Hi,

Below is a suggestion how the text in RFC 5031 could be modified, in order to allow registration of emergency URNs that, at the time of registration, are specific to one country.

Regards,

Christer

---------------------------------

OLD TEXT:
--------------

4.2.  Sub-Services for the 'sos' Service

   This section defines the first service registration within the IANA
   registry defined in Section 4.1, using the top-level service label
   'sos'.

   The 'sos' service type describes emergency services requiring an
   immediate response, typically offered by various branches of the
   government or other public institutions.  Additional sub-services can
   be added after expert review and must be of general public interest
   and have a similar emergency nature.  The expert is designated by the
   ECRIT working group, its successor, or, in their absence, the IESG.
   The expert review should only approve emergency services that are
   offered widely and in different countries, with approximately the
   same caller expectation in terms of services rendered.  The 'sos'
   service is not meant to invoke general government, public
   information, counseling, or social services.

   urn:service:sos  The generic 'sos' service reaches a public safety
      answering point (PSAP), which in turn dispatches aid appropriate
      to the emergency.  It encompasses all of the services listed
      below.

NEW TEXT:
--------------

4.2.  Sub-Services for the 'sos' Service

   This section defines the first service registration within the IANA
   registry defined in Section 4.1, using the top-level service label
   'sos'.

   The 'sos' service type describes emergency services requiring an
   immediate response, typically offered by various branches of the
   government or other public institutions.  Additional sub-services can
   be added after expert review.  The expert is designated by the
   ECRIT working group, its successor, or, in their absence, the IESG.
   The expert review should only approve services that have emergency nature, that are
   offered in at least one country, that do not match description of any existing
   service URN with the 'sos' service type, and where the service description and the
   URN are defined as broadly as possible to encourage reuse.  The 'sos'
   service is not meant to invoke general government, public
   information, counseling, or social services.

   urn:service:sos  The generic 'sos' service reaches a public safety
      answering point (PSAP), which in turn dispatches aid appropriate
      to the emergency.  It encompasses all of the services listed
      below.

---

From: James Polk <[email-masked]>
Date: Tue, 26 Feb 2013 14:40:43 -0600

Christer

write a bis, see if it flies

James

At 07:49 AM 2/26/2013, Christer Holmberg wrote:
>Content-Language: en-US
>Content-Type: multipart/alternative;
> 
>boundary="_000_7594FB04B1934943A5C02806D1A2204B108425ESESSMB209ericsso_"
>
>Hi,
>
>Below is a suggestion how the text in RFC 5031 could be modified, in 
>order to allow registration of emergency URNs that, at the time of 
>registration, are specific to one country.
>
>Regards,
>
>Christer
>
>_______________________________________________
>Ecrit mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/ecrit

---

From: Richard Barnes <[email-masked]>
Date: Tue, 26 Feb 2013 16:00:17 -0500

I think this is the proposed content of the -bis :)

On a quick read, this text looks pretty good to me.

--Richard

On Tue, Feb 26, 2013 at 3:40 PM, James Polk <[email-masked]> wrote:

>> boundary="_000_**7594FB04B1934943A5C02806D1A220**
>> 4B108425ESESSMB209ericsso_"
>>
>>
>> Hi,
>>
>> ------------------------------**---
>>
>> OLD TEXT:
>> --------------
>>
>> ______________________________**_________________
>> Ecrit mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/**listinfo/ecrit<https://www.ietf.org/mailman/listinfo/ecrit>
>>
>
> ______________________________**_________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/ecrit<https://www.ietf.org/mailman/listinfo/ecrit>
>

---

From: James Polk <[email-masked]>
Date: Tue, 26 Feb 2013 15:36:02 -0600

My point was, write the actual draft "with that text included" and 
see if it reaches WG consensus, as there is no measurable consensus 
if not already in draft form.

James

At 03:00 PM 2/26/2013, Richard Barnes wrote:
>On Tue, Feb 26, 2013 at 3:40 PM, James Polk 
><<mailto:[email-masked]>[email-masked]> wrote:
>Christer
>
><mailto:[email-masked]>[email-masked]
><mailto:[email-masked]>[email-masked]

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 27 Feb 2013 05:51:45 +0800

WFM

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 27 Feb 2013 09:45:28 +0000

Hi James,

>My point was, write the actual draft "with that text included" and see if it reaches WG consensus, as there is no measurable consensus if not already in draft form.

Unfortunately it's too late to submit a new version of the draft before Orlando. But, I think we can still discuss suggested text changes, eventhough "official consensus" cannot be done :)

We also need to think about whether the text would go into a bis, or whether we would produce a separate document which simply updates the affected section in RFC 5031.

Regards,

Christer

---

From: "Rosen, Brian" <[email-masked]>
Date: Wed, 27 Feb 2013 09:04:04 -0500

could go in urn-policy

---

From: Richard Barnes <[email-masked]>
Date: Wed, 27 Feb 2013 09:33:29 -0500

Well, urn-policy is more general.  Also, it's currently BCP, so it would
need to chance to Proposed Standard to update RFC 5031.

My slight preference is for a short document that just does the specific
update.  That way, when someone reads RFC 5031 and sees "Updated by...",
they don't have to dig through all of urn-policy to see what the change is.

On Wed, Feb 27, 2013 at 9:04 AM, Rosen, Brian <[email-masked]>wrote:

> >> My point was, write the actual draft "with that text included" and see
> if it reaches WG consensus, as there is no measurable consensus if not
> already in draft form.
> >
> > Unfortunately it's too late to submit a new version of the draft before
> Orlando. But, I think we can still discuss suggested text changes,
> eventhough "official consensus" cannot be done :)
> >
> > We also need to think about whether the text would go into a bis, or
> whether we would produce a separate document which simply updates the
> affected section in RFC 5031.
> >
> > Regards,
> >
> > Christer
> >
> >
> >

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 27 Feb 2013 14:41:58 +0000

Hi,

> Well, urn-policy is more general.  Also, it's currently BCP, so it would need to chance to Proposed Standard to update RFC 5031.   
>
> My slight preference is for a short document that just does the specific update.  That way, when someone reads RFC 5031 and sees 
> "Updated by...", they don't have to dig through all of urn-policy to see what the change is.

That would be my preference also.

Making a 5031bis would be "overkill" in my opinion, as we are only modifying one chapter.

Regards,

Christer

On Wed, Feb 27, 2013 at 9:04 AM, Rosen, Brian <[email-masked]> wrote:
could go in urn-policy

---

From: "Winterbottom, James" <[email-masked]>
Date: Thu, 28 Feb 2013 04:03:10 +0800

I would support this approach Christer... *8)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Wednesday, 27 February 2013 8:45 PM
To: James Polk; Richard Barnes
Cc: [email-masked]
Subject: Re: [Ecrit] RFC 5031 text modification suggestion [was: Draft new version: draft-holmberg-ecrit-country-emg-urn-01]

Hi James,

Regards,

Christer